package ru.yandex.autotests.direct.web.objects.agencies.clients;

/**
 * Created with IntelliJ IDEA.
 * User: alex-samo
 * Date: 13.11.13
 * Time: 13:18
 * To change this template use File | Settings | File Templates.
 */
public class SubClientRules {
    private Boolean editCampaign;
    private Boolean transferFunds;
    private Boolean manageCampaignsInExcel;

    public SubClientRules(Boolean editCampaign, Boolean transferFunds, Boolean manageCampaignsInExcel) {
        setEditCampaign(editCampaign);
        setManageCampaignsInExcel(manageCampaignsInExcel);
        setTransferFunds(transferFunds);
    }

    public void setEditCampaign(Boolean editCampaign) {
        this.editCampaign = editCampaign;
    }

    public Boolean getEditCampaign() {
        return editCampaign;
    }

    public void setTransferFunds(Boolean transferFunds) {
        this.transferFunds = transferFunds;
    }

    public Boolean getTransferFunds() {
        return transferFunds;
    }

    public void setManageCampaignsInExcel(Boolean manageCampaignsInExcel) {
        this.manageCampaignsInExcel = manageCampaignsInExcel;
    }

    public Boolean getManageCampaignsInExcel() {
        return manageCampaignsInExcel;
    }

    @Override
    public String toString() {
        String result = "";
        if (editCampaign != null) {
            result += "editCampaign: " + editCampaign;
        }
        if (transferFunds != null) {
            result += " transferFunds : " + transferFunds;
        }
        if (manageCampaignsInExcel != null) {
            result += " manageCampaignsInExcel: " + manageCampaignsInExcel;
        }
        return result;
    }
}
